[Unit]
Description=Beszel Hub Service
After=network.target

[Service]
EnvironmentFile=/etc/beszel/hub.conf
EnvironmentFile=-/etc/beszel/hub.conf.d/*.conf
ExecStart=/usr/bin/beszel-hub serve --http 127.0.0.1:${PORT}
WorkingDirectory=/var/lib/beszel-hub
User=_beszel-hub
Restart=always
RestartSec=5

[Install]
WantedBy=multi-user.target
